<?php

return [
    'common' => [
        'no-result-found' => 'We could not find any records.',
        'country' => 'Country',
        'state' => 'State',
        'true' => 'True',
        'false' => 'False'
    ],

    'layouts' => [
        'my-account' => 'My Account',
        'logout' => 'Logout',
        'visit-shop' => 'Visit Shop',
        'dashboard' => 'Dashboard',
        'sales' => 'Sales',
        'orders' => 'Orders',
        'shipments' => 'Shipments',
        'invoices' => 'Invoices',
        'catalog' => 'Catalog',
        'products' => 'Products',
        'categories' => 'Categories',
        'attributes' => 'Attributes',
        'attribute-families' => 'Attribute Families',
        'customers' => 'Customers',
        'groups' => 'Groups',
        'reviews' => 'Reviews',
        'newsletter-subscriptions' => 'Newsletter Subscriptions',
        'configure' => 'Configure',
        'settings' => 'Settings',
        'locales' => 'Locales',
        'currencies' => 'Currencies',
        'exchange-rates' => 'Exchange Rates',
        'inventory-sources' => 'Inventory Sources',
        'channels' => 'Channels',
        'users' => 'Users',
        'roles' => 'Roles',
        'sliders' => 'Sliders',
        'taxes' => 'Taxes',
        'tax-categories' => 'Tax Categories',
        'tax-rates' => 'Tax Rates'
    ],

    'acl' => [
        'dashboard' => 'Dashboard',
        'sales' => 'Sales',
        'orders' => 'Orders',
        'shipments' => 'Shipments',
        'invoices' => 'Invoices',
        'catalog' => 'Catalog',
        'products' => 'Products',
        'categories' => 'Categories',
        'attributes' => 'Attributes',
        'attribute-families' => 'Attribute Families',
        'customers' => 'Customers',
        'groups' => 'Groups',
        'reviews' => 'Reviews',
        'newsletter-subscriptions' => 'Newsletter Subscriptions',
        'configure' => 'Configure',
        'settings' => 'Settings',
        'locales' => 'Locales',
        'currencies' => 'Currencies',
        'exchange-rates' => 'Exchange Rates',
        'inventory-sources' => 'Inventory Sources',
        'channels' => 'Channels',
        'users' => 'Users',
        'roles' => 'Roles',
        'sliders' => 'Sliders',
        'taxes' => 'Taxes',
        'tax-categories' => 'Tax Categories',
        'tax-rates' => 'Tax Rates',
    ],

    'dashboard' => [
        'title' => 'Dashboard',
        'from' => 'From',
        'to' => 'To',
        'total-customers' => 'Total Customers',
        'total-orders' => 'Total Orders',
        'total-sale' => 'Total Sale',
        'average-sale' => 'Average Order Sale',
        'increased' => ':progress%',
        'decreased' => ':progress%',
        'sales' => 'Sales',
        'top-performing-categories' => 'Top Performing Categories',
        'product-count' => ':count Products',
        'top-selling-products' => 'Top Selling Products',
        'sale-count' => ':count Sales',
        'customer-with-most-sales' => 'Customer With Most Sales',
        'order-count' => ':count Orders',
        'revenue' => 'Revenue :total',
        'stock-threshold' => 'Stock Threshold',
        'qty-left' => ':qty Left',
    ],

    'datagrid' => [
        'mass-ops' => [
            'method-error' => 'Error! Wrong method detected, please check mass action configuration',
            'delete-success' => 'Selected index of :resource were successfully deleted',
            'partial-action' => 'Some actions were not performed due restricted system constraints on :resource',
            'update-success' => 'Selected index of :resource were successfully updated',
        ],

        'id' => 'ID',
        'status' => 'Status',
        'code' => 'Code',
        'admin-name' => 'Name',
        'name' => 'Name',
        'fullname' => 'Full Name',
        'type' => 'Type',
        'required' => 'Required',
        'unique' => 'Unique',
        'per-locale' => 'Locale Based',
        'per-channel' => 'Channel Based',
        'position' => 'Position',
        'locale' => 'Locale',
        'hostname' => 'Hostname',
        'email' => 'Email',
        'group' => 'Group',
        'title' => 'Title',
        'comment' => 'Comment',
        'product-name' => 'Product',
        'currency-name' => 'Currency Name',
        'exch-rate' => 'Exchange Rate',
        'priority' => 'Priority',
        'subscribed' => 'Subscribed',
        'base-total' => 'Base Total',
        'grand-total' => 'Grand Total',
        'order-date' => 'Order Date',
        'channel-name' => 'Channel Name',
        'billed-to' => 'Billed To',
        'shipped-to' => 'Shipped To',
        'order-id' => 'Order Id',
        'invoice-date' => 'Invoice Date',
        'total-qty' => 'Total Qty',
        'inventory-source' => 'Inventory Source',
        'shipment-date' => 'Shipment Date',
        'shipment-to' => 'Shipping To',
        'sku' => 'SKU',
        'price' => 'Price',
        'qty' => 'Quantity',
        'permission-type' => 'Permission Type',
        'identifier' => 'Identifier',
        'state' => 'State',
        'country' => 'Country',
        'tax-rate' => 'Rate',
        'role' => 'Role',
        'sub-total' => 'Sub Total',
        'no-of-products' => 'Number of Products',
        'attribute-family' => 'Attribute Family'
    ],

    'account' => [
        'title' => 'My Account',
        'save-btn-title' => 'Save',
        'general' => 'General',
        'name' => 'Name',
        'email' => 'Email',
        'password' => 'Password',
        'confirm-password' => 'Confirm Password',
        'change-password' => 'Change Account Password',
        'current-password' => 'Current Password'
    ],

    'users' => [
        'forget-password' => [
            'title' => 'Forget Password',
            'header-title' => 'Recover Password',
            'email' => 'Registered Email',
            'password' => 'Password',
            'confirm-password' => 'Confirm Password',
            'back-link-title' => 'Back to Sign In',
            'submit-btn-title' => 'Email Password Reset Link'
        ],

        'reset-password' => [
            'title' => 'Reset Password',
            'title' => 'Reset Password',
            'email' => 'Registered Email',
            'password' => 'Password',
            'confirm-password' => 'Confirm Password',
            'back-link-title' => 'Back to Sign In',
            'submit-btn-title' => 'Reset Password'
        ],

        'roles' => [
            'title' => 'Roles',
            'add-role-title' => 'Add Role',
            'edit-role-title' => 'Edit Role',
            'save-btn-title' => 'Save Role',
            'general' => 'General',
            'name' => 'Name',
            'description' => 'Description',
            'access-control' => 'Access Control',
            'permissions' => 'Permissions',
            'custom' => 'Custom',
            'all' => 'All'
        ],

        'users' => [
            'title' => 'User',
            'add-user-title' => 'Add User',
            'edit-user-title' => 'Edit User',
            'save-btn-title' => 'Save User',
            'general' => 'General',
            'email' => 'Email',
            'name' => 'Name',
            'password' => 'Password',
            'confirm-password' => 'Confirm Password',
            'status-and-role' => 'Status and Role',
            'role' => 'Role',
            'status' => 'Status',
            'account-is-active' => 'Account is Active',
            'current-password' => 'Enter Current Password',
            'confirm-delete' => 'Confirm Delete This Account',
            'confirm-delete-title' => 'Confirm password before delete',
            'delete-last' => 'At least one admin is required.',
            'delete-success' => 'Success! User deleted',
            'incorrect-password' => 'The password you entered is incorrect',
            'password-match' => 'Current password does not match.',
            'account-save' => 'Account changes saved successfully.',
            'login-error' => 'Please check your credentials and try again.',
            'activate-warning' => 'Your account is yet to be activated, please contact administrator.'
        ],

        'sessions' => [
            'title' => 'Sign In',
            'email' => 'Email',
            'password' => 'Password',
            'forget-password-link-title' => 'Forget Password ?',
            'remember-me' => 'Remember Me',
            'submit-btn-title' => 'Sign In'
        ]
    ],

    'sales' => [
        'orders' => [
            'title' => 'Orders',
            'view-title' => 'Order #:order_id',
            'cancel-btn-title' => 'Cancel',
            'shipment-btn-title' => 'Ship',
            'invoice-btn-title' => 'Invoice',
            'info' => 'Information',
            'invoices' => 'Invoices',
            'shipments' => 'Shipments',
            'order-and-account' => 'Order and Account',
            'order-info' => 'Order Information',
            'order-date' => 'Order Date',
            'order-status' => 'Order Status',
            'channel' => 'Channel',
            'customer-name' => 'Customer Name',
            'email' => 'Email',
            'contact-number' => 'Contact Number',
            'account-info' => 'Account Information',
            'address' => 'Address',
            'shipping-address' => 'Shipping Address',
            'billing-address' => 'Billing Address',
            'payment-and-shipping' => 'Payment and Shipping',
            'payment-info' => 'Payment Information',
            'payment-method' => 'Payment Method',
            'currency' => 'Currency',
            'shipping-info' => 'Shipping Information',
            'shipping-method' => 'Shipping Method',
            'shipping-price' => 'Shipping Price',
            'products-ordered' => 'Products Ordered',
            'SKU' => 'SKU',
            'product-name' => 'Product Name',
            'qty' => 'Qty',
            'item-status' => 'Item Status',
            'item-ordered' => 'Ordered (:qty_ordered)',
            'item-invoice' => 'Invoiced (:qty_invoiced)',
            'item-shipped' => 'shipped (:qty_shipped)',
            'item-canceled' => 'Canceled (:qty_canceled)',
            'price' => 'Price',
            'total' => 'Total',
            'subtotal' => 'Subtotal',
            'shipping-handling' => 'Shipping & Handling',
            'tax' => 'Tax',
            'tax-percent' => 'Tax Percent',
            'tax-amount' => 'Tax Amount',
            'discount-amount' => 'Discount Amount',
            'grand-total' => 'Grand Total',
            'total-paid' => 'Total Paid',
            'total-refunded' => 'Total Refunded',
            'total-due' => 'Total Due',
            'cancel-confirm-msg' => 'Are you sure you want to cancel this order ?'
        ],

        'invoices' => [
            'title' => 'Invoices',
            'id' => 'Id',
            'invoice-id' => 'Invoice Id',
            'date' => 'Invoice Date',
            'order-id' => 'Order Id',
            'customer-name' => 'Customer Name',
            'status' => 'Status',
            'amount' => 'Amount',
            'action' => 'Action',
            'add-title' => 'Create Invoice',
            'save-btn-title' => 'Save Invoice',
            'qty' => 'Qty',
            'qty-ordered' => 'Qty Ordered',
            'qty-to-invoice' => 'Qty to Invoice',
            'view-title' => 'Invoice #:invoice_id',
            'bill-to' => 'Bill to',
            'ship-to' => 'Ship to',
            'print' => 'Print',
            'order-date' => 'Order Date',
            'creation-error' => 'Order invoice creation is not allowed.',
            'product-error' => 'Invoice can not be created without products.'
        ],

        'shipments' => [
            'title' => 'Shipments',
            'id' => 'Id',
            'date' => 'Shipment Date',
            'order-id' => 'Order Id',
            'order-date' => 'Order date',
            'customer-name' => 'Customer Name',
            'total-qty' => 'Total Qty',
            'action' => 'Action',
            'add-title' => 'Create Shipment',
            'save-btn-title' => 'Save Shipment',
            'qty-ordered' => 'Qty Ordered',
            'qty-to-ship' => 'Qty to Ship',
            'available-sources' => 'Available Sources',
            'source' => 'Source',
            'select-source' => 'Please Select Source',
            'qty-available' => 'Qty Available',
            'inventory-source' => 'Inventory Source',
            'carrier-title' => 'Carrier Title',
            'tracking-number' => 'Tracking Number',
            'view-title' => 'Shipment #:shipment_id',
            'creation-error' => 'Shipment can not be created for this order.',
            'order-error' => 'Order shipment creation is not allowed.',
            'quantity-invalid' => 'Requested quantity is invalid or not available.',
        ]
    ],

    'catalog' => [
        'products' => [
            'title' => 'Products',
            'add-product-btn-title' => 'Add Product',
            'add-title' => 'Add Product',
            'edit-title' => 'Edit Product',
            'save-btn-title' => 'Save Product',
            'general' => 'General',
            'product-type' => 'Product Type',
            'simple' => 'Simple',
            'configurable' => 'Configurable',
            'familiy' => 'Attribute Family',
            'sku' => 'SKU',
            'configurable-attributes' => 'Configurable Attributes',
            'attribute-header' => 'Attribute(s)',
            'attribute-option-header' => 'Attribute Option(s)',
            'no' => 'No',
            'yes' => 'Yes',
            'disabled' => 'Disabled',
            'enabled' => 'Enabled',
            'add-variant-btn-title' => 'Add Variant',
            'name' => 'Name',
            'qty' => 'Qty',
            'price' => 'Price',
            'weight' => 'Weight',
            'status' => 'Status',
            'enabled' => 'Enabled',
            'disabled' => 'Disabled',
            'add-variant-title' => 'Add Variant',
            'variant-already-exist-message' => 'Variant with same attribute options already exists.',
            'add-image-btn-title' => 'Add Image',
            'mass-delete-success' => 'All the selected index of products have been deleted successfully',
            'mass-update-success' => 'All the selected index of products have been updated successfully',
            'configurable-error' => 'Please select atleast one configurable attribute.',
            'categories' => 'Categories',
            'images' => 'Images',
            'inventories' => 'Inventories',
            'variations' => 'Variations',
            'product-link' => 'Linked Products',
            'cross-selling' => 'Cross Selling',
            'up-selling' => 'Up Selling',
            'related-products' => 'Related Products',
            'product-search-hint' => 'Start typing product name',
            'no-result-found' => 'Products not found with same name.',
            'searching' => 'Searching ...'
        ],

        'attributes' => [
            'title' => 'Attributes',
            'add-title' => 'Add Attribute',
            'edit-title' => 'Edit Attribute',
            'save-btn-title' => 'Save Attribute',
            'general' => 'General',
            'code' => 'Attribute Code',
            'type' => 'Attribute Type',
            'text' => 'Text',
            'textarea' => 'Textarea',
            'price' => 'Price',
            'boolean' => 'Boolean',
            'select' => 'Select',
            'multiselect' => 'Multiselect',
            'datetime' => 'Datetime',
            'date' => 'Date',
            'label' => 'Label',
            'admin' => 'Admin',
            'options' => 'Options',
            'position' => 'Position',
            'add-option-btn-title' => 'Add Option',
            'validations' => 'Validations',
            'input_validation' => 'Input Validation',
            'is_required' => 'Is Required',
            'is_unique' => 'Is Unique',
            'number' => 'Number',
            'decimal' => 'Decimal',
            'email' => 'Email',
            'url' => 'URL',
            'configuration' => 'Configuration',
            'status' => 'Status',
            'yes' => 'Yes',
            'no' => 'No',
            'value_per_locale' => 'Value Per Locale',
            'value_per_channel' => 'Value Per Channel',
            'value_per_channel' => 'Value Per Channel',
            'is_filterable' => 'Use in Layered Navigation',
            'is_configurable' => 'Use To Create Configurable Product',
            'admin_name' => 'Admin Name',
            'is_visible_on_front' => 'Visible on Product View Page on Front-end',
            'swatch_type' => 'Swatch Type',
            'dropdown' => 'Dropdown',
            'color-swatch' => 'Color Swatch',
            'image-swatch' => 'Image Swatch',
            'text-swatch' => 'Text Swatch',
            'swatch' => 'Swatch'
        ],
        'families' => [
            'title' => 'Families',
            'add-family-btn-title' => 'Add Family',
            'add-title' => 'Add Family',
            'edit-title' => 'Edit Family',
            'save-btn-title' => 'Save Family',
            'general' => 'General',
            'code' => 'Family Code',
            'name' => 'Name',
            'groups' => 'Groups',
            'add-group-title' => 'Add Group',
            'position' => 'Position',
            'attribute-code' => 'Code',
            'type' => 'Type',
            'add-attribute-title' => 'Add Attributes',
            'search' => 'Search',
            'group-exist-error' => 'Group with same name already exists.'
        ],
        'categories' => [
            'title' => 'Categories',
            'add-title' => 'Add Category',
            'edit-title' => 'Edit Category',
            'save-btn-title' => 'Save Category',
            'general' => 'General',
            'name' => 'Name',
            'visible-in-menu' => 'Visible In Menu',
            'yes' => 'Yes',
            'no' => 'No',
            'position' => 'Position',
            'display-mode' => 'Display Mode',
            'products-and-description' => 'Products and Description',
            'products-only' => 'Products Only',
            'description-only' => 'Description Only',
            'description-and-images' => 'Description and Images',
            'description' => 'Description',
            'parent-category' => 'Parent Category',
            'seo' => 'Search Engine Optimization',
            'slug' => 'Slug',
            'meta_title' => 'Meta Title',
            'meta_description' => 'Meta Description',
            'meta_keywords' => 'Meta Keywords',
            'image' => 'Image',
        ]
    ],

    'configuration' => [
        'title' => 'Configuration',
        'save-btn-title' => 'Save',
        'save-message' => 'Configuration saved successfully',
        'yes' => 'Yes',
        'no' => 'No',
        'delete' => 'Delete',

        'tax-categories' => [
            'title' => 'Tax Categories',
            'add-title' => 'Add Tax Category',
            'edit-title' => 'Edit Tax Category',
            'save-btn-title' => 'Save Tax Category',
            'general' => 'Tax Category',
            'select-channel' => 'Select Channel',
            'name' => 'Name',
            'code' => 'Code',
            'description' => 'Description',
            'select-taxrates' => 'Select Tax Rates',
            'edit' => [
                'title' => 'Edit Tax Category',
                'edit-button-title' => 'Edit Tax Category'
            ]
        ],

        'tax-rates' => [
            'title' => 'Tax Rates',
            'add-title' => 'Add Tax Rate',
            'edit-title' => 'Edit Tax Rate',
            'save-btn-title' => 'Save Tax Rate',
            'general' => 'Tax Rate',
            'identifier' => 'Identifier',
            'is_zip' => 'Enable Zip Range',
            'zip_from' => 'Zip From',
            'zip_to' => 'Zip To',
            'state' => 'State',
            'select-state' => 'Select a region, state or province.',
            'country' => 'Country',
            'tax_rate' => 'Rate',
            'edit' => [
                'title' => 'Edit Tax Rate',
                'edit-button-title' => 'Edit Rate'
            ],
            'zip_code' => 'Zip Code',
            'is_zip' => 'Enable Zip Range',
        ],

        'sales' => [
            'shipping-method' => [
                'title' => 'Shipping Methods',
                'save-btn-title' => 'Save',
                'description' => 'Description',
                'active' => 'Active',
                'status' => 'Status'
            ]
        ]
    ],

    'settings' => [
        'locales' => [
            'title' => 'Locales',
            'add-title' => 'Add Locale',
            'edit-title' => 'Edit Locale',
            'add-title' => 'Add Locale',
            'save-btn-title' => 'Save Locale',
            'general' => 'General',
            'code' => 'Code',
            'name' => 'Name'
        ],
        'countries' => [
            'title' => 'Countries',
            'add-title' => 'Add Country',
            'save-btn-title' => 'Save Country',
            'general' => 'General',
            'code' => 'Code',
            'name' => 'Name'
        ],
        'currencies' => [
            'title' => 'Currencies',
            'add-title' => 'Add Currency',
            'edit-title' => 'Edit Currency',
            'save-btn-title' => 'Save Currency',
            'general' => 'General',
            'code' => 'Code',
            'name' => 'Name',
            'symbol' => 'Symbol'
        ],
        'exchange_rates' => [
            'title' => 'Exchange Rates',
            'add-title' => 'Add Exchange Rate',
            'edit-title' => 'Edit Exchange Rate',
            'save-btn-title' => 'Save Exchange Rate',
            'general' => 'General',
            'source_currency' => 'Source Currency',
            'target_currency' => 'Target Currency',
            'rate' => 'Rate'
        ],
        'inventory_sources' => [
            'title' => 'Inventory Sources',
            'add-title' => 'Add Inventory Source',
            'edit-title' => 'Edit Inventory Source',
            'save-btn-title' => 'Save Inventory Source',
            'general' => 'General',
            'code' => 'Code',
            'name' => 'Name',
            'description' => 'Description',
            'source-is-active' => 'Source is Active',
            'contact-info' => 'Contact Information',
            'contact_name' => 'Name',
            'contact_email' => 'Email',
            'contact_number' => 'Contact Number',
            'contact_fax' => 'Fax',
            'address' => 'Source Address',
            'country' => 'Country',
            'state' => 'State',
            'city' => 'City',
            'street' => 'Street',
            'postcode' => 'Postcode',
            'priority' => 'Priority',
            'latitude' => 'Latitude',
            'longitude' => 'Longitude',
            'status' => 'Status'
        ],
        'channels' => [
            'title' => 'Channels',
            'add-title' => 'Add Channel',
            'edit-title' => 'Edit Channel',
            'save-btn-title' => 'Save Channel',
            'general' => 'General',
            'code' => 'Code',
            'name' => 'Name',
            'description' => 'Description',
            'hostname' => 'Hostname',
            'currencies-and-locales' => 'Currencies and Locales',
            'locales' => 'Locales',
            'default-locale' => 'Default Locale',
            'currencies' => 'Currencies',
            'base-currency' => 'Base Currency',
            'root-category' => 'Root Category',
            'inventory_sources' => 'Inventory Sources',
            'design' => 'Design',
            'theme' => 'Theme',
            'home_page_content' => 'Home Page Content',
            'footer_content' => 'Footer Content',
            'logo' => 'Logo',
            'favicon' => 'Favicon'
        ],

        'sliders' => [
            'title' => 'Sliders',
            'add-title' => 'Create Slider',
            'edit-title' => 'Edit Slider',
            'save-btn-title' => 'Save Slider',
            'general' => 'General',
            'image' => 'Image',
            'content' => 'Content',
            'channels' => 'Channel',
            'created-success' => 'Slider Item Created Successfully',
            'created-fault' => 'Error In Creating Slider Item',
            'update-success' => 'Slider Item Successfully Updated',
            'update-fail' => 'Slider Cannot Be Updated',
            'delete-success' => 'Cannot Delete The Last Slider Item',
            'delete-fail' => 'Slider Item Successfully Deleted'
        ],

        'tax-categories' => [
            'title' => 'Tax Categories',
            'add-title' => 'Create Tax Category',
            'edit-title' => 'Edit Tax Category',
            'save-btn-title' => 'Save Tax Category',
            'general' => 'Tax Category',
            'select-channel' => 'Select Channel',
            'name' => 'Name',
            'code' => 'Code',
            'description' => 'Description',
            'select-taxrates' => 'Select Tax Rates',
            'edit' => [
                'title' => 'Edit Tax Category',
                'edit-button-title' => 'Edit Tax Category'
            ],
            'create-success' => 'New Tax Category Created',
            'create-error' => 'Error, While Creating Tax Category',
            'update-success' => 'Successfully Updated Tax Category',
            'update-error' => 'Error While Updating Tax Category',
            'atleast-one' => 'Cannot Delete The Last Tax Category',
            'delete' => 'Tax Category Successfully Deleted'
        ],

        'tax-rates' => [
            'title' => 'Tax Rates',
            'add-title' => 'Create Tax Rate',
            'edit-title' => 'Edit Tax Rate',
            'save-btn-title' => 'Save Tax Rate',
            'general' => 'Tax Rate',
            'identifier' => 'Identifier',
            'is_zip' => 'Enable Zip Range',
            'zip_from' => 'Zip From',
            'zip_to' => 'Zip To',
            'state' => 'State',
            'select-state' => 'Select a region, state or province.',
            'country' => 'Country',
            'tax_rate' => 'Rate',
            'edit' => [
                'title' => 'Edit Tax Rate',
                'edit-button-title' => 'Edit Rate'
            ],
            'zip_code' => 'Zip Code',
            'is_zip' => 'Enable Zip Range',
            'create-success' => 'Tax Rate Created Successfully',
            'create-error' => 'Cannot Create Tax Rate',
            'update-success' => 'Tax Rate Updated Successfully',
            'update-error' => 'Error! Tax Rate Cannot Be Updated',
            'delete' => 'Tax Rate Deleted Successfully',
            'atleast-one' => 'Cannot Delete Last Tax Rate'
        ]
    ],

    'customers' => [
        'groups' =>[
            'add-title' => 'Add Group',
            'edit-title' => 'Edit Group',
            'save-btn-title' => 'Save Group',
            'title' => 'Groups',
            'save-btn-title' => 'Save Group',
            'name' => 'Name',
            'is_user_defined' => 'User Defined',
            'yes' => 'Yes'
        ],
        'customers' => [
            'add-title' => 'Add Customer',
            'edit-title' => 'Edit Customer',
            'title' => 'Customers',
            'first_name' => 'First Name',
            'last_name' => 'Last Name',
            'gender' => 'Gender',
            'email' => 'Email',
            'date_of_birth' => 'Date of Birth',
            'phone' => 'Phone',
            'customer_group' => 'Customer Group',
            'save-btn-title' => 'Save Customer',
            'channel_name' => 'Channel Name',
            'state' => 'State',
            'select-state' => 'Select a region, state or province.',
            'country' => 'Country',
            'male' => 'Male',
            'female' => 'Female',
            'phone' => 'Phone',
            'group-default' => 'Cannot delete the default group.',
        ],
        'reviews' => [
            'title' => 'Reviews',
            'edit-title' => 'Edit Review',
            'rating' => 'Rating',
            'status' => 'Status',
            'comment' => 'Comment',
            'pending' => 'Pending',
            'approved' => 'Approve',
            'disapproved' => 'Disapprove'
        ],

        'subscribers' => [
            'title' => 'News Letter Subscribers',
            'title-edit' => 'Edit News Letter Subscriber',
            'email' => 'Email',
            'is_subscribed' => 'Subscribed',
            'edit-btn-title' => 'Update Subscriber',
            'update-success' => 'Subscriber was successfully updated',
            'update-failed' => 'Error! You cannot unsubscribe the subscriber',
            'delete' => 'Subscriber was successfully deleted',
            'delete-failed' => 'Error! Subscriber cannot be deleted'
        ]
    ],

    'error' => [
        'go-to-home' => 'GO TO HOME',

        '404' => [
            'page-title' => '404 Page not found',
            'name' => '404',
            'title' => 'Page Not found',
            'message' => 'The Page you are looking for does not exist or have been moved. Navigate using sidemenu.'
        ],
        '403' => [
            'page-title' => '403 forbidden Error',
            'name' => '403',
            'title' => 'Forbidden error',
            'message' => 'You do not have permission to access this page'
        ],
        '500' => [
            'page-title' => '500 Internal Server Error',
            'name' => '500',
            'title' => 'Internal Server Error',
            'message' => 'The Server Encountered an internal error.'
        ],
        '401' => [
            'page-title' => '401 Unauthorized Error',
            'name' => '401',
            'title' => 'Unauthorized Error',
            'message' => 'The request has not been applied because it lacks valid authentication credentials for the target resource.'
        ],
    ],

    'export' => [
        'export' => 'Export',
        'import' => 'Import',
        'format' => 'Select Format',
        'download' => 'Download',
        'upload' => 'Upload',
        'csv' => 'CSV',
        'xls' => 'XLS',
        'file' => 'File',
        'upload-error' => 'The file must be a file of type: xls, xlsx, csv.',
        'duplicate-error' => 'Identifier must be unique, duplicate identifier :identifier at row :position.',
        'enough-row-error' => 'file has not enough rows',
        'allowed-type' => 'Allowed Type :',
        'file-type' => 'csv, xls, xlsx.',
        'no-records' => 'Nothing to export',
        'illegal-format' => 'Error! This type of format is either not supported or its illegal format'
    ],

    'response' => [
        'create-success' => ':name created successfully.',
        'update-success' => ':name updated successfully.',
        'delete-success' => ':name deleted successfully.',
        'last-delete-error' => 'At least one :name is required.',
        'user-define-error' => 'Can not delete system :name',
        'attribute-error' => ':name is used in configurable products.',
        'attribute-product-error' => ':name is used in products.',
        'customer-associate' => ':name can not be deleted because customer is associated with this group.',
        'currency-delete-error' => 'This currency is set as channel base currency so it can not be deleted.',
        'upload-success' => ':name uploaded successfully.',
        'delete-category-root' => 'Cannot delete the root category',
        'create-root-failure' => 'Category with name root already exists',
        'cancel-success' => ':name canceled successfully.',
        'cancel-error' => ':name can not be canceled.',
        'already-taken' => 'The :name has already been taken.'
    ],

    'footer' => [
        'copy-right' => '© Copyright 2018 Webkul Software, All rights reserved.'
    ],

    'admin' => [
        'system' => [
            'catalog' => 'Catalog',
            'products' => 'Products',
            'review' => 'Review',
            'allow-guest-review' => 'Allow Guest Review',
            'customer' => 'Customer',
            'settings' => 'Settings',
            'address' => 'Address',
            'address' => 'Address',
            'street-lines' => 'Lines in a Street Address',
            'sales' => 'Sales',
            'shipping-methods' => 'Shipping Methods',
            'free-shipping' => 'Free Shipping',
            'flate-rate-shipping' => 'Flat Rate Shipping',
            'shipping' => 'Shipping',
            'origin' => 'Origin',
            'country' => 'Country',
            'state' => 'State',
            'zip' => 'Zip',
            'city' => 'City',
            'street-address' => 'Street Address',
            'title' => 'Title',
            'description' => 'Description',
            'rate' => 'Rate',
            'status' => 'Status',
            'type' => 'Type',
            'payment-methods' => 'Payment Methods',
            'cash-on-delivery' => 'Cash On Delivery',
            'money-transfer' => 'Money Transfer',
            'paypal-standard' => 'Paypal Standard',
            'business-account' => 'Business Account'
        ]
    ]
];